public interface SendMessageRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getConfiguration()
public abstract SendMessageConfiguration getConfiguration()Optional. Configuration for the send request.
.google.cloud.geminidataanalytics.v1beta.SendMessageConfiguration configuration = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
SendMessageConfiguration |
The configuration. |
getConfigurationOrBuilder()
public abstract SendMessageConfigurationOrBuilder getConfigurationOrBuilder()Optional. Configuration for the send request.
.google.cloud.geminidataanalytics.v1beta.SendMessageConfiguration configuration = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
SendMessageConfigurationOrBuilder |
|
getMessage()
public abstract A2AMessage getMessage()Required. The message to send to the agent.
.google.cloud.geminidataanalytics.v1beta.A2AMessage message = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
A2AMessage |
The message. |
getMessageOrBuilder()
public abstract A2AMessageOrBuilder getMessageOrBuilder()Required. The message to send to the agent.
.google.cloud.geminidataanalytics.v1beta.A2AMessage message = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
A2AMessageOrBuilder |
|
getMetadata()
public abstract Struct getMetadata()Optional. Optional metadata for the request.
.google.protobuf.Struct metadata = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
Struct |
The metadata. |
getMetadataOrBuilder()
public abstract StructOrBuilder getMetadataOrBuilder()Optional. Optional metadata for the request.
.google.protobuf.Struct metadata = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getTenant()
public abstract String getTenant()Optional. Optional tenant, provided as a path parameter.
string tenant = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
String |
The tenant. |
getTenantBytes()
public abstract ByteString getTenantBytes()Optional. Optional tenant, provided as a path parameter.
string tenant = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for tenant. |
hasConfiguration()
public abstract boolean hasConfiguration()Optional. Configuration for the send request.
.google.cloud.geminidataanalytics.v1beta.SendMessageConfiguration configuration = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the configuration field is set. |
hasMessage()
public abstract boolean hasMessage()Required. The message to send to the agent.
.google.cloud.geminidataanalytics.v1beta.A2AMessage message = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the message field is set. |
hasMetadata()
public abstract boolean hasMetadata()Optional. Optional metadata for the request.
.google.protobuf.Struct metadata = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the metadata field is set. |